Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class CommandsMultiCompletor

    java.lang.Object
      jline.MultiCompletor
          org.codehaus.groovy.tools.shell.CommandsMultiCompletor

    class CommandsMultiCompletor
    extends jline.MultiCompletor

Completor for interactive shells.

version:
  $Id: InteractiveShellRunner.groovy 8806 2007-10-25 21:58:29Z user57 $

author:
  Jason Dillon

Property Summary
`List` | `list`
`protected Logger` | `log`

Constructor Summary
`CommandsMultiCompletor()`

Method Summary
`int` | `complete(String buffer, int pos, List cand)`
`def` | `leftShift(Command command)`
`void` | `refresh()`

Methods inherited from class jline.MultiCompletor
complete, setCompletors, getCompletors, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### list

    List list

### log

    protected final Logger log

Constructor Detail

### CommandsMultiCompletor

    CommandsMultiCompletor()

Method Detail

### complete

    int complete(String buffer, int pos, List cand)

### leftShift

    public def leftShift(Command command)

### refresh

    void refresh()

Copyright © 2003-2009 The Codehaus. All rights reserved.